// BoardWidget.h //

#ifndef __BOARDWIDGET_H
#define __BOARDWIDGET_H

#include "Widget.h"
#include "Game.h"

/** This widget displays a board of snakes and ladders and can be used
 * to perform operations on the board */
class BoardWidget : public Widget
{
  public:
    /// constructor takes the Game object
    BoardWidget (Game *poGame = NULL);

    /// cell width
    static const int c_kiCWidth = 4;

    /// cell height
    static const int c_kiCHeight = 2;

    /// label width
    static const int c_kiLWidth = 4;

    /// board y dimension
    static const int c_kiYSize = c_kiCHeight * 10;

    /// board x dimension
    static const int c_kiXSize = c_kiCWidth * 10;

    /// board y position
    static const int c_kiYPos = 1;

    /// board y position
    static const int c_kiXPos = 0;

    /// application logic of the particular type of widget
    virtual void Draw (void);

    /// this window gets the keyboard focus
    virtual int KeyFocus (void);

    /// edit this board
    void Edit (void);

  protected:
    /// display that no board is provided
    virtual void DrawNoBoard (void);

    /// display the current state of the current board
    virtual void DrawBoard (void);

    /// draw editor view of this board
    void DrawEdit (int iCursor);

  private:
    /// the board widget
    Game *m_poGame;
};

#endif//__BOARDWIDGET_H

// BoardWidget.h //
