//Cell.cpp//

#include "Cell.h"

Cell :: Cell(PORTAL_en enType, int iEndPos)
{
  m_enType = enType;
  m_iEndPos = iEndPos;
}

Cell ::  Cell(const Cell& rkoOrig)
{
   m_enType = rkoOrig.m_enType;
   m_iEndPos = rkoOrig.m_iEndPos;
}

PORTAL_en Cell :: GetType(void) const
{
  return m_enType;
}

int Cell :: GetEndPos(void) const
{
  // if the cell is not having a portal
  if (NOPORTAL == m_enType)
  {
    throw NoPortalEx();
  }
  return m_iEndPos;
}

void Cell :: AddPortal(PORTAL_en enType, int iEndPos)
{
  m_enType = enType;
  m_iEndPos = iEndPos;
}

void Cell :: DelPortal(void)
{
  m_enType = NOPORTAL;
  m_iEndPos = -1;
}

const Cell& Cell :: operator = (const Cell& rkoRVal)
{
  m_enType = rkoRVal.m_enType;
  m_iEndPos = rkoRVal.m_iEndPos;
  return *this;
}

//Cell.cpp//
