//Cell.h//

#ifndef __CELL_H
#define __CELL_H

#include "core_ex.h"

/// The type of cell
enum PORTAL_en
{
  NOPORTAL, ///< without any portal
  SNAKE,    ///< containing a snake
  LADDER    ///< containing a ladder
};

/// A cell in the game
class Cell
{
  public:
    /// construct a cell
    Cell(PORTAL_en enType=NOPORTAL, int iEndPos=-1);

    /// copy constructor
    Cell(const Cell& rkoOrig);

    /// assignment operator
    const Cell& operator = (const Cell& rkoRVal);

    /// get the portal type
    PORTAL_en GetType(void) const;

    /// get the end position if this is a portal
    int GetEndPos(void) const;

    /// add a portal to the cell
    void AddPortal(PORTAL_en enType, int iEndPos);

    /// delete a portal from the cell
    void DelPortal(void);

  private:
    /// the type of cell
    PORTAL_en m_enType;

    /// the end position if it contains a portal
    int m_iEndPos;
};

#endif //__CELL_H

//Cell.h//
