// MenuWidget.h //

#ifndef __MENUWIDGET_H
#define __MENUWIDGET_H

#include <vector>
#include <string>
#include "Widget.h"

using std::vector;
using std::string;

class MenuWidget : public Widget
{
  public:
    MenuWidget (int iYPos, int iXPos, const string oStrTitle, 
        const vector< string >& rkoVecStrEntries);
    int GetWidth (void);
    virtual void Draw (void);
    virtual int KeyFocus (void);
    const string& Selection (void);
    void SetPrevMenu(MenuWidget *oMenuWid);
    void SetNextMenu(MenuWidget *oMenuWid);
    MenuWidget* GetPrevMenu(void);
    MenuWidget* GetNextMenu(void);

  private:
    static int MenuWidth (const vector< string >& rkoVecStrEntries, 
        const string oStrTitle);
    vector< string > m_oVecStrEntries;
    int m_iSelection;
    MenuWidget *m_poMenuWidPrev;
    MenuWidget *m_poMenuWidNext;
    string m_oStrTitle;
};


#endif //__MENUWIDGET_H

// MenuWidget.h //
