#include "Board.h"
#include <iostream>

using std::cout;
using std::endl;
using std::cerr;

int main(int argc, char *argv[])
{
  try {
    if (argc < 2)
    {
      throw runtime_error((string) "Usage: " + argv[0] + " <filename>");
    }
    
    Board oBoard(argv[1]);

    int iIt;
    for (iIt = 0; iIt < Board::NCELLS; iIt++)
    {
      if (LADDER== oBoard[iIt].GetType())
      {
        cout << "L" << oBoard[iIt].GetEndPos() << "L ";
      }
      else if (SNAKE == oBoard[iIt].GetType())
      {
        cout << "S" << oBoard[iIt].GetEndPos() << "S ";
      }
      else
      {
        cout << "[  ] ";
      }

      if (iIt % 10 == 9)
      {
        cout << endl;
      }
    }
    
    return 0;
  }
  catch (runtime_error& rErr)
  {
    cerr << rErr.what() << endl;
    return -1;
  }
}
